body {
  input.form-autocomplete,
  input.form-text,
  input.form-tel,
  input.form-email,
  input.form-url,
  input.form-search,
  input.form-number,
  input.form-color,
  input.form-file,
  input.form-date,
  input.form-time,
  textarea.form-textarea {
    color: $black;
  }
}

input.form-control {
  display: block;
  width: 100%;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: var(--bs-gray-400);
  background-color: $white;
  background-clip: padding-box;
  border: 1px solid var(--bs-gray-200);
  border-radius: 0.25rem;
}

.description {
  color: var(--bs-gray-600);
}

form.form-wrapper {
  border-radius: 5px;
  box-shadow: 3px 3px 3px 3px var(--bs-gray-200);
  border-color: var(--bs-gray-400);
}

summary.card-header, legend.card-header {
  background: var(--xs-blue-200) !important;
  padding: var(--bs-card-cap-padding-y) var(--bs-card-cap-padding-x) !important;
}

#body.page-node-type-webpage {
  h1.page-title {
    font-size: 2em;
  }

  form {
    margin: 0;
  }
}

form {
  .suggestion-box {
    display: inline-block;
    color: var(--bs-gray-600);
  }

  .prediction-link {
    cursor: pointer;
    color: var(--bs-gray-600) !important;
  }

  .form-type-vertical-tabs .vertical-tabs {
    display: grid;
    grid-template-columns: 15em 1fr;
    margin: 0;

    .vertical-tabs__menu {
      margin: 0;
      border-top: none;
      border-right: 1px solid var(--bs-gray-200);

      .vertical-tabs__menu-item {
        border: none;
        border-bottom: 1px solid var(--bs-gray-200);
      }
    }
  }
  details.vertical-tabs__pane {
    box-shadow: none;
    border: none;
  }
}

.ui-dialog.confirm-dialog {
  background-color: $white;
  border-radius: 5px;
  border: 1px solid var(--xs-thi-400);
  box-shadow: 0 2px 5px 0;
  font-family: unset;

  .ui-dialog-titlebar {
    background-color: var(--xs-blue-200);
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 5px 5px 0 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.175);

    &:before, &:after {
      display: none;
    }

    span.ui-dialog-title {
      font-weight: normal;
    }

    button.ui-dialog-titlebar-close {
      font-size: small;
      display: block;
      position: initial;
      margin: 0;
    }
  }

  .ui-dialog-content {
    padding: 1rem;
  }

  .ui-dialog-buttonpane {
    background-color: transparent;
    display: flex;
    justify-content: flex-end;

    .ui-dialog-buttonset {
      button {
        font-family: unset;
        transition-property: background-color;

        &.button-cancel, &.button-cancel:active {
          border: none;

          &:hover {
            text-decoration: underline;
          }
        }

        &:focus {
          outline-offset: 2px;
          outline: 2px solid var(--xs-sec-400);
        }
      }
    }
  }
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
  border-color: #809ee2;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(0,60,197,0.25);
}

.select2-container.select2-container--default {
  .select2-search--inline .select2-search__field {
    height: 1.5rem;
  }

  .select2-selection__choice, .select2-selection--multiple {
    border: 1px solid var(--bs-gray-200);

    .select2-selection__choice {
      padding-left: 0;
      background-color: var(--select2-option-background-color, var(--xs-pri-400));
      color: var(--select2-option-text-color, $white);
      border: none;
      margin-top: 7px;

      .select2-selection__choice__remove {
        position: initial;
        border-right: 1px solid var(--select2-option-detail-color, var(--xs-pri-400));
        background-color: var(--select2-option-background-color, var(--xs-pri-400));
        transition: 0.25s;
        transition-property: background-color;
        color: var(--select2-option-text-hover-color, $white);
        padding: 0 5px;
        border-radius: 4px 0 0 4px;

        &:hover {
          background-color: var(--select2-option-background-hover-color, var(--xs-pri-600));
          color: var(--select2-option-text-hover-color, $white);
        }

        span {
          color: var(--select2-option-text-color, $white);
        }
      }

      .select2-selection__choice__display {
        padding: 0 10px;
      }
    }
  }

  .select2-selection--single {
    --bs-form-select-bg-img: none;
    height: unset;
    border: var(--bs-border-width) solid var(--bs-border-color);
    width: 100%;
    padding: 0.375rem 2.25rem 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;

    .select2-selection__rendered {
      padding: 0;
      line-height: 1.5rem;
      color: var(--bs-body-color);
    }

    .select2-selection__arrow {
      height: 100%;
      margin: 0 7px;
    }
  }

  &.select2-container--focus .select2-selection--single {
    border-color: #809ee2;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(0,60,197,0.25);
  }

  &.select2-container--open {
    &.select2-container--below, &.select2-container--above {
      .select2-selection--single {
        border-radius: 4px;
      }
    }

    .select2-dropdown {
      border: var(--bs-border-width) solid var(--bs-border-color);
      border-radius: 4px;

      .select2-search__field {
        border: var(--bs-border-width) solid var(--bs-border-color);

        &:active, &.focus, &:focus-visible {
          outline: 0;
        }
      }

      .select2-results__option:last-child {
        border-radius: 4px;
      }
    }
  }

  .select2-selection__clear {
    vertical-align: middle;
  }
}

h1.display-4.page-title {
  font-size: 2rem;
}

form.node-form {
  margin-left: 0;
  margin-right: 0;
}
